# Interactions Object

> Source: https://truto.one/docs/api-reference/unified-conversational-intelligence-api/interactions/

Schema for the `Interactions` resource in **Unified Conversational Intelligence API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for the interaction record
- **`user`** _(object)_
  The user the interaction record belongs to
  - **`id`** _(string, required)_
    The unique identifier for the user
  - **`name`** _(string)_
    Name of the user
  - **`emails`** _(array<object>)_
    List of email addresses of the user
    - **`email`** _(string)_
      Email address of the user
    - **`is_primary`** _(boolean)_
      Whether the email address is the primary email address of the user
- **`start_time`** _(string)_
  Start of the aggregation period in ISO 8601 format
- **`end_time`** _(string)_
  End of the aggregation period in ISO 8601 format
- **`timezone`** _(string)_
  Time zone used for the aggregation period in the source system
- **`aggregation_period`** _(string)_
  Granularity of the aggregation.
  Allowed: `day`, `week`, `month`, `total`
- **`metrics`** _(object)_
  Standard interaction metrics for the user in the period
  - **`longest_monologue`** _(number)_
    Longest monologue duration or score for the user in the period
  - **`longest_customer_story`** _(number)_
    Longest customer story duration or score for the user in the period
  - **`interactivity`** _(number)_
    Interactivity score for the user in the period
  - **`patience`** _(number)_
    Patience score for the user in the period
  - **`question_rate`** _(number)_
    Question rate for the user in the period
- **`additional_metrics`** _(array<object>)_
  Additional interaction metrics from the source when they do not map to the standard metrics object. Use for forward-compatible or vendor-specific metrics.
  - **`name`** _(string)_
    Name of the interaction metric in the source system
  - **`value`** _(number)_
    Value of the interaction metric
- **`created_at`** _(string)_
  When the interaction record was created in the source system
- **`updated_at`** _(string)_
  When the interaction record was last updated in the source system
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/conversational-intelligence/interactions](/docs/api-reference/unified-conversational-intelligence-api/interactions/list) — List Interactions
